Package com.independentsoft.office.spreadsheet

# Class PrintOptions

java.lang.Object
com.independentsoft.office.spreadsheet.PrintOptions

public class PrintOptions extends Object
The Class PrintOptions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintOptions()`
  Instantiates a new prints the options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintOptions`
  `clone()`
  `boolean`
  `isGridLinesSet()`
  Checks if is grid lines set.
  `boolean`
  `isHorizontalCentered()`
  Checks if is horizontal centered.
  `boolean`
  `isPrintGridLines()`
  Checks if is prints the grid lines.
  `boolean`
  `isPrintHeadings()`
  Checks if is prints the headings.
  `boolean`
  `isVerticalCentered()`
  Checks if is vertical centered.
  `void`
  `setGridLinesSet​(boolean gridLinesSet)`
  Sets the grid lines set.
  `void`
  `setHorizontalCentered​(boolean horizontalCentered)`
  Sets the horizontal centered.
  `void`
  `setPrintGridLines​(boolean printGridLines)`
  Sets the prints the grid lines.
  `void`
  `setPrintHeadings​(boolean printHeadings)`
  Sets the prints the headings.
  `void`
  `setVerticalCentered​(boolean verticalCentered)`
  Sets the vertical centered.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrintOptions

    public PrintOptions()
    Instantiates a new prints the options.

- ## Method Details

  - ### clone

    public PrintOptions clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isPrintGridLines

    public boolean isPrintGridLines()
    Checks if is prints the grid lines.
    Returns:
      true, if is prints the grid lines

  - ### setPrintGridLines

    public void setPrintGridLines​(boolean printGridLines)
    Sets the prints the grid lines.
    Parameters:
      `printGridLines` - the new prints the grid lines

  - ### isGridLinesSet

    public boolean isGridLinesSet()
    Checks if is grid lines set.
    Returns:
      true, if is grid lines set

  - ### setGridLinesSet

    public void setGridLinesSet​(boolean gridLinesSet)
    Sets the grid lines set.
    Parameters:
      `gridLinesSet` - the new grid lines set

  - ### isPrintHeadings

    public boolean isPrintHeadings()
    Checks if is prints the headings.
    Returns:
      true, if is prints the headings

  - ### setPrintHeadings

    public void setPrintHeadings​(boolean printHeadings)
    Sets the prints the headings.
    Parameters:
      `printHeadings` - the new prints the headings

  - ### isHorizontalCentered

    public boolean isHorizontalCentered()
    Checks if is horizontal centered.
    Returns:
      true, if is horizontal centered

  - ### setHorizontalCentered

    public void setHorizontalCentered​(boolean horizontalCentered)
    Sets the horizontal centered.
    Parameters:
      `horizontalCentered` - the new horizontal centered

  - ### isVerticalCentered

    public boolean isVerticalCentered()
    Checks if is vertical centered.
    Returns:
      true, if is vertical centered

  - ### setVerticalCentered

    public void setVerticalCentered​(boolean verticalCentered)
    Sets the vertical centered.
    Parameters:
      `verticalCentered` - the new vertical centered